सामग्री पर जाएँ

AMT Frame Interpolation

इंटीग्रेट करें

मॉडल id amt-interpolation/frame-interpolation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/amt-interpolation/frame-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "frames": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

प्रति रन अधिकतम $2.07 तक वास्तविक उपयोग के अनुसार शुल्क लिया जाता है, बाकी रिफंड किया जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model इमेज से वीडियो #interpolation#editing

आपके द्वारा दिए गए स्थिर फ़्रेमों की सूची के बीच इंटरपोलेशन करके वीडियो बनाता है

Open model · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इंटरपोलेशन के लिए उपयोग किए गए इनपुट फ़्रेम।

उन्नत output_fps · recursive_interpolation_passes
डिफ़ॉल्ट 24

आउटपुट की फ़्रेम दर, फ़्रेम प्रति सेकंड में।

डिफ़ॉल्ट 4

इंटरपोलेशन के लिए उपयोग किए गए रिकर्सिव पास की संख्या।

POST /run/amt-interpolation/frame-interpolation?wait=20 कोटेशन → $2.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/amt-interpolation/frame-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "frames": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

AMT Frame Interpolation के बारे में

`frames` की एक ऐरे लेता है और उनके बीच मध्यवर्ती फ़्रेम बनाकर एक क्लिप तैयार करता है। `output_fps` प्लेबैक दर सेट करता है, जिसका डिफ़ॉल्ट 24 है, और `recursive_interpolation_passes` का डिफ़ॉल्ट 4 है, इसलिए वीडियो वेरिएंट की तुलना में अधिक बीच के फ़्रेम बनाए जाते हैं। आउटपुट एक वीडियो होता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
framesआवश्यक
प्रकारobject[]
इंटरपोलेशन के लिए उपयोग किए गए इनपुट फ़्रेम।
frames[].urlआवश्यक
प्रकारstring
फ़्रेम इमेज URL।
output_fpsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट24
आउटपुट की फ़्रेम दर, फ़्रेम प्रति सेकंड में।
recursive_interpolation_passesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4
इंटरपोलेशन के लिए उपयोग किए गए रिकर्सिव पास की संख्या।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "amt-interpolation/frame-interpolation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2070,
    "usd": "2.07",
    "charged": 2070,
    "refunded": 0
  },
  "input": {
    "frames": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से बना वीडियो।

और मॉडल: इमेज से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/amt-interpolation/frame-interpolation.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt